"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultHighlightMark = '/*!*/';
function parse(code, highlightMark) {
    if (highlightMark === void 0) { highlightMark = exports.DefaultHighlightMark; }
    var lines = code.split('\n');
    var highlights = [];
    var linesParsed = lines.map(function (line, index) {
        if (line.startsWith(highlightMark)) {
            highlights[index] = true;
            return line.substr(highlightMark.length);
        }
        else {
            highlights[index] = false;
            return line;
        }
    });
    var codeParsed = linesParsed.join('\n');
    return [codeParsed, linesParsed, highlights];
}
exports.parse = parse;
//# sourceMappingURL=parse.js.map