import { join } from 'path';
import { Bundle } from '@connectv/sdh';
import { getRenderer$ } from '../transport/renderer';
import { initJss$ } from '../transport/setup-jss';
export function bundle(config, themeInstaller) {
    const bundle = new Bundle('/' + config.dest.bundle + '/codedoc-bundle.js', join(config.dest.assets, config.dest.bundle, 'codedoc-bundle.js'));
    bundle.init(initJss$);
    bundle.init(themeInstaller);
    config.bundle.init.forEach(init => bundle.init(init));
    bundle.withRenderer(getRenderer$);
    return bundle;
}
//# sourceMappingURL=bundle.js.map