import { Meta } from './meta';
import { Fonts } from './fonts';
import { Footer } from './footer';
import { Header } from './header';
import { PageStyle } from './style';
import { Watermark } from '../misc/watermark';
export function Page(options, renderer, content) {
    renderer = renderer.plug(this.theme.styled(PageStyle));
    return renderer.create("html", null,
        renderer.create("head", null,
            renderer.create("title", null, options.title || 'Codedoc Sample Page'),
            options.meta ? options.meta : renderer.create(Meta, null),
            options.favicon ? renderer.create("link", { rel: "shortcut icon", href: options.favicon }) : '',
            options.fonts ? options.fonts : renderer.create(Fonts, null),
            options.scripts ? options.scripts : '',
            options.stylesheets ? options.stylesheets : ''),
        renderer.create("body", null,
            options.header ? options.header : renderer.create(Header, null,
                renderer.create(Watermark, null)),
            renderer.create("div", { id: "-codedoc-container", class: "container" }, content),
            options.toc ? options.toc : ' ',
            options.footer ? options.footer : renderer.create(Footer, null)));
}
export * from './meta';
export * from './fonts';
export * from './contentnav';
export * from './header';
export * from './footer';
export * from './toc';
//# sourceMappingURL=index.js.map